## jolicloud-tunnel 0.1

=== debian/changelog ===
jolicloud-tunnel (0.1) robby; urgency=low

  * Initial Revision
  * Re-issued keys and certificates for jolicloud.org server
  * Created jolicloud-tunnel script, tunnel now doesn't autostart on bootup

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 19 Aug 2009 12:13:14 -0600
