=== debian/control ===
Source: jolicloud-tunnel
Section: misc
Priority: optional
Maintainer: Adam McDaniel <adam@jolicloud.org>
Standards-Version: 3.6.1.0

Package: jolicloud-tunnel
Architecture: all
Depends: openvpn, openssh-server
Description: Jolicloud Tunnel for OpenVPN
 This package will set up a tunnel back into Jolicloud's servers to allow
 direct access to your netbook. Useful for debugging problems on actual
 machines that can at least get connected online.
