=== debian/rules ===
#!/usr/bin/make -f

install_dir=install -d -m 755
install_file=install -m 644
install_script=install -m 755
install_binary=install -m 755 -s

DEBVERSION := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)

build:

clean:
	$(checkdir)
	-rm -f  *~ */*~ debian/files* debian/*substvars
	-rm -rf debian/tmp

binary-indep: checkroot
	$(checkdir)
	-rm -rf debian/tmp

	$(install_dir) debian/tmp/DEBIAN/
	$(install_file) debian/conffiles debian/tmp/DEBIAN/
	$(install_script) debian/postinst debian/tmp/DEBIAN/
	$(install_script) debian/postrm debian/tmp/DEBIAN/

	$(install_dir) debian/tmp/etc/default/
	$(install_file) etc/default/* debian/tmp/etc/default/

	$(install_dir) debian/tmp/etc/init.d/
	$(install_script) etc/init.d/* debian/tmp/etc/init.d/

	$(install_dir) debian/tmp/usr/bin/
	$(install_script) usr/bin/* debian/tmp/usr/bin/

	$(install_dir) debian/tmp/usr/lib/jolicloud-tunnel/
	$(install_file) usr/lib/jolicloud-tunnel/* debian/tmp/usr/lib/jolicloud-tunnel/

	$(install_dir) debian/tmp/usr/share/doc/jolicloud-tunnel/
	$(install_file) debian/changelog debian/tmp/usr/share/doc/jolicloud-tunnel/changelog.Debian
	gzip -9v debian/tmp/usr/share/doc/jolicloud-tunnel/*
	$(install_file) debian/copyright debian/tmp/usr/share/doc/jolicloud-tunnel/
	$(install_file) usr/share/doc/jolicloud-tunnel/* debian/tmp/usr/share/doc/jolicloud-tunnel/

	dpkg-gencontrol -pjolicloud-tunnel

	chown -R root:root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
